const Canton = require("../models/canton");
const Provincia = require("../models/provincia");


async function obtenerProvincias(req, res) {

    try {
        let provinciasObtenidas = await Provincia.findAll();

        if (provinciasObtenidas.length > 0) {
            res.status(200).send({
                data: provinciasObtenidas,
                message: "Cargos cargados correctamente"
            });
        } else {
            res.status(402).send({
                message: 'No existen cargos registrados en la base de datos'
            });
        }
    } catch (err) {
        res.status(500).send({
            message: 'error:' + err
        });
    }
}

async function obtenerCantones(req, res) {

    try {
        console.log(req.params.id)
        let cantonesObtenidos = await Canton.findAll({ where: {ID_PROVINCIA: req.params.id } });

        if (cantonesObtenidos.length > 0) {
            res.status(200).send({
                data: cantonesObtenidos,
                message: "Cargos cargados correctamente"
            });
        } else {
            res.status(402).send({
                message: 'No existen cargos registrados en la base de datos'
            });
        }
    } catch (err) {
        res.status(500).send({
            message: 'error:' + err
        });
    }
}





module.exports = {
 
    obtenerProvincias,
    obtenerCantones
  



};